Summary:	An addictive action-puzzle game involving bouncing penguins
Name:		icebreaker
Version:	1.0
Release:	1
Copyright:	GPL
Group:		Amusements/Games
Source: 	icebreaker-%{version}.tgz
URL:		http://www.mattdm.org/icebreaker/
Prefix:		/usr
Vendor: 	Matthew Miller <mattdm@mattdm.org>
Packager:	Matthew Miller <mattdm@mattdm.org>
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot

%description
So, uh, there's a bunch of penguins on an iceberg in Antarctica. You have
been selected to catch them so they can be shipped to Finland, where they
are essential to a secret plot for world domination.

%prep
%setup -q

%build
highscoredir=/var/lib/games prefix=/usr make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icebreaker
mkdir -p ${RPM_BUILD_ROOT}%{_var}/lib/games
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Games

install -m 644 *.wav *.bmp ${RPM_BUILD_ROOT}%{_datadir}/icebreaker
install -m 644 icebreaker.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Games
install -s -m 755 icebreaker ${RPM_BUILD_ROOT}%{_bindir}
touch ${RPM_BUILD_ROOT}%{_var}/lib/games/icebreaker.scores

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%attr(2755,root,games) %{_bindir}/icebreaker
/etc/X11/applnk/Games/icebreaker.desktop
%{_datadir}/icebreaker
# this isn't really a config file, but i don't know how else to avoid
# zapping it at upgrade time
%attr(664,games,games) %config(noreplace) %{_var}/lib/games/icebreaker.scores
%doc README TODO LICENSE ChangeLog

%changelog
* Thu Oct 5 2000 Matthew Miller <mattdm@mattdm.org>
- looks good to me. one-point-oh

* Tue Oct 3 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.995 
- better make process

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.99 :)

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.98

* Fri Sep 15 2000 Matthew Miller <mattdm@mattdm.org>
- first package
